WiiDeviceDiscoveredEvent
Keywords: wiiremotej.event.WiiDeviceDiscoveredEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej.event
Class WiiDeviceDiscoveredEvent

    java.lang.Object
      java.util.EventObject
          wiiremotej.event.WiiDeviceDiscoveredEvent

All Implemented Interfaces:
  java.io.Serializable

    public class WiiDeviceDiscoveredEvent

extends java.util.EventObject

An event for when a Wii Device is discovered through a nonblocking method. Contains the number of the WiiDevice and the device itself. Note that the getSource() method of a WiiDeviceDiscoveredEvent will return a meaningless object, as the source is a static class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WiiDeviceDiscoveredEvent(WiiDevice device, int number)` Creates a new WiiDeviceDiscoveredEvent from the given device and number.

Method Summary
`int` | `getNumber()` Returns the number of the discovered device.
`WiiDevice` | `getWiiDevice()` Returns the discovered WiiDevice of this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WiiDeviceDiscoveredEvent

    public WiiDeviceDiscoveredEvent(WiiDevice device,
                                    int number)

  Creates a new WiiDeviceDiscoveredEvent from the given device and number.

  Parameters:
    `device` - the discovered device.
    `number` - the number of the device discovered in the current find method, starting with 0.

Method Detail

### getWiiDevice

    public WiiDevice getWiiDevice()

  Returns the discovered WiiDevice of this event.

  Returns:
    the discovered WiiDevice of this event.

### getNumber

    public int getNumber()

  Returns the number of the discovered device. The first device is number 0.

  Returns:
    the number of the discovered device.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD